Retrieve a model
curl --request GET \
--url https://api.protoface.com/v1/models/{model_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.protoface.com/v1/models/{model_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.protoface.com/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"contract_revision": "<string>",
"description": "<string>",
"display_name": "<string>",
"execution_modes": [
"<string>"
],
"execution_targets": [
"<string>"
],
"family": "<string>",
"id": "<string>",
"input_modalities": [
"<string>"
],
"operations": {},
"output_modalities": [
"<string>"
],
"owner": "<string>",
"pricing": {},
"revision": "<string>",
"aliases": [
"<string>"
],
"object": "model",
"output_quality_descriptions": {},
"request_schemas": {},
"tags": [
"<string>"
]
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}Model inference
Retrieve a model
Retrieve a model
curl --request GET \
--url https://api.protoface.com/v1/models/{model_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.protoface.com/v1/models/{model_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.protoface.com/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"contract_revision": "<string>",
"description": "<string>",
"display_name": "<string>",
"execution_modes": [
"<string>"
],
"execution_targets": [
"<string>"
],
"family": "<string>",
"id": "<string>",
"input_modalities": [
"<string>"
],
"operations": {},
"output_modalities": [
"<string>"
],
"owner": "<string>",
"pricing": {},
"revision": "<string>",
"aliases": [
"<string>"
],
"object": "model",
"output_quality_descriptions": {},
"request_schemas": {},
"tags": [
"<string>"
]
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}Authorizations
Live API key minted in the dashboard. Pass as Authorization: Bearer sk_live_…. Keys are scoped to a single environment (staging / prod).
Path Parameters
Response
Successful Response
Allowed value:
"model"Show child attributes
Show child attributes
Show child attributes
Show child attributes

